# Retrieving transactions

Get transactions for a specific token and action

```typescript
const getTransactions = await client.getTransactions({
  token: "QAR",
  action: "lend", // "lend" | "unLend" | "borrow" | "repay";
  walletAddress: "psh5nUh3VF22Pr8LeoV1K2blRNOOnoVH0BbZ85yRick",
});
```

Get a transactions result after it has been submitted

```typescript
const getResult = await LiquidOpsClient.getResult({
    transferID "", // the id returned from lend/borrow/unLend/repay
    tokenAddress: '', // address of the token
    action: "", // "lend" | "unLend" | "borrow" | "repay";
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidops.io/developers/liquidops-js/retrieving-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
